| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.VariantDataValueConverter Class Reference

Converter contains a set of method allowing to interpret a VariantDataValue as a determined type. More...

Inheritance diagram for IOLink.VariantDataValueConverter:

## Public Member Functions
| VariantDataValueConverter (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (VariantDataValueConverter obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (VariantDataValueConverter obj)
static uint | ToInt8Array (VariantDataValue variant, sbyte[] values)
static sbyte[] | ToInt8Array (VariantDataValue variant)
static uint | ToInt16Array (VariantDataValue variant, short[] values)
static short[] | ToInt16Array (VariantDataValue variant)
static uint | ToInt32Array (VariantDataValue variant, int[] values)
static int[] | ToInt32Array (VariantDataValue variant)
static uint | ToInt64Array (VariantDataValue variant, long[] values)
static long[] | ToInt64Array (VariantDataValue variant)
static uint | ToUint8Array (VariantDataValue variant, byte[] values)
static byte[] | ToUint8Array (VariantDataValue variant)
static uint | ToUint16Array (VariantDataValue variant, ushort[] values)
static ushort[] | ToUint16Array (VariantDataValue variant)
static uint | ToUint32Array (VariantDataValue variant, uint[] values)
static uint[] | ToUint32Array (VariantDataValue variant)
static uint | ToUint64Array (VariantDataValue variant, ulong[] values)
static ulong[] | ToUint64Array (VariantDataValue variant)
static uint | ToFloatArray (VariantDataValue variant, float[] values)
static float[] | ToFloatArray (VariantDataValue variant)
static uint | ToDoubleArray (VariantDataValue variant, double[] values)
static double[] | ToDoubleArray (VariantDataValue variant)
static uint | ToStringArray (VariantDataValue variant, string[] values)
static string[] | ToStringArray (VariantDataValue variant)
static sbyte | ToInt8 (VariantDataValue value)
| Return converted metadata value into 8-bit signed integers.
static short | ToInt16 (VariantDataValue value)
| Return converted metadata value into 16-bit signed integers.
static int | ToInt32 (VariantDataValue value)
| Return converted metadata value into 32-bit signed integers.
static long | ToInt64 (VariantDataValue value)
| Return converted metadata value into 64-bit signed integers.
static byte | ToUint8 (VariantDataValue value)
| Return converted metadata value into 8-bit unsigned integers.
static ushort | ToUint16 (VariantDataValue value)
| Return converted metadata value into 16-bit unsigned integers.
static uint | ToUint32 (VariantDataValue value)
| Return converted metadata value into 32-bit unsigned integers.
static ulong | ToUint64 (VariantDataValue value)
| Return converted metadata value into 32-bit signed integers.
static float | ToFloat (VariantDataValue value)
| Return converted metadata value into 32-bit floating-point.
static double | ToDouble (VariantDataValue value)
| Return converted metadata value into 64-bit floats.
static string | ToString (VariantDataValue value)
| Return converted metadata value into string.
static sbyte | ToInt8 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 8-bit signed integers.
static short | ToInt16 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 16-bit signed integers.
static int | ToInt32 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 32-bit signed integers.
static long | ToInt64 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 64-bit signed integers.
static byte | ToUint8 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 8-bit unsigned integers.
static ushort | ToUint16 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 16-bit unsigned integers.
static uint | ToUint32 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 32-bit unsigned integers.
static ulong | ToUint64 (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 64-bit unsigned integers.
static float | ToFloat (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 32-bit floating-point.
static double | ToDouble (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into 64-bit floats.
static string | ToString (VariantDataValue variant, uint index)
| Convert VariantDataValue at given index into string.

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Converter contains a set of method allowing to interpret a VariantDataValue as a determined type.

Examples
  MetadataTree.cs.

## Member Function Documentation

## ◆ ToDouble() [1/2]

static double IOLink.VariantDataValueConverter.ToDouble | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 64-bit floats.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToDouble() [2/2]

static double IOLink.VariantDataValueConverter.ToDouble | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 64-bit floats.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToFloat() [1/2]

static float IOLink.VariantDataValueConverter.ToFloat | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 32-bit floating-point.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToFloat() [2/2]

static float IOLink.VariantDataValueConverter.ToFloat | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 32-bit floating-point.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToInt16() [1/2]

static short IOLink.VariantDataValueConverter.ToInt16 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 16-bit signed integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToInt16() [2/2]

static short IOLink.VariantDataValueConverter.ToInt16 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 16-bit signed integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToInt32() [1/2]

static int IOLink.VariantDataValueConverter.ToInt32 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 32-bit signed integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToInt32() [2/2]

static int IOLink.VariantDataValueConverter.ToInt32 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 32-bit signed integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToInt64() [1/2]

static long IOLink.VariantDataValueConverter.ToInt64 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 64-bit signed integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

Examples
  MetadataTree.cs.

## ◆ ToInt64() [2/2]

static long IOLink.VariantDataValueConverter.ToInt64 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 64-bit signed integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToInt8() [1/2]

static sbyte IOLink.VariantDataValueConverter.ToInt8 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 8-bit signed integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToInt8() [2/2]

static sbyte IOLink.VariantDataValueConverter.ToInt8 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 8-bit signed integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToString() [1/2]

static string IOLink.VariantDataValueConverter.ToString | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into string.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

Examples
  MetadataTree.cs.

## ◆ ToString() [2/2]

static string IOLink.VariantDataValueConverter.ToString | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into string.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToUint16() [1/2]

static ushort IOLink.VariantDataValueConverter.ToUint16 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 16-bit unsigned integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToUint16() [2/2]

static ushort IOLink.VariantDataValueConverter.ToUint16 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 16-bit unsigned integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToUint32() [1/2]

static uint IOLink.VariantDataValueConverter.ToUint32 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 32-bit unsigned integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToUint32() [2/2]

static uint IOLink.VariantDataValueConverter.ToUint32 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 32-bit unsigned integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToUint64() [1/2]

static ulong IOLink.VariantDataValueConverter.ToUint64 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 32-bit signed integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToUint64() [2/2]

static ulong IOLink.VariantDataValueConverter.ToUint64 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 64-bit unsigned integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

## ◆ ToUint8() [1/2]

static byte IOLink.VariantDataValueConverter.ToUint8 | ( | VariantDataValue | value | ) |
| inline static

Return converted metadata value into 8-bit unsigned integers.

Parameters

  value | VariantDataValue to convert

Exceptions

  Error | if VariantDataValue original type cannot be converted

## ◆ ToUint8() [2/2]

static byte IOLink.VariantDataValueConverter.ToUint8 | ( | VariantDataValue | variant,
|  | uint | index
| ) |  |
| inline static

Convert VariantDataValue at given index into 8-bit unsigned integers.

Parameters

  variant | VariantDataValue to convert
  index | Index of the value to convert and return from VariantDataValue

Exceptions

  Error | if VariantDataValue original type cannot be converted
  Error | if given index is out of range

Returns
  the converted value of VariantDataValue at given index

The documentation for this class was generated from the following file:

- Release/net/generated/VariantDataValueConverter.cs